Skip to main content
DELETE
/
api
/
v1
/
pty
/
{session_id}
Kill a PTY session
curl --request DELETE \
  --url https://{sandbox_id_or_name}.sandbox.tensorlake.ai/api/v1/pty/{session_id} \
  --header 'Authorization: Bearer <token>'
{
  "error": "<string>",
  "code": "<string>"
}
Terminate a PTY session.

Endpoint

DELETE /api/v1/pty/{session_id}

Example Request

curl -X DELETE https://<sandbox-id>.sandbox.tensorlake.ai/api/v1/pty/<session-id> \
  -H "Authorization: Bearer $TENSORLAKE_API_KEY"

Response

Tensorlake returns 204 No Content. The daemon first sends SIGHUP to the PTY session and, if it is still alive after a short grace period, follows up with SIGKILL. If the session does not exist, Tensorlake returns 404 Not Found.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

session_id
string
required

The PTY session identifier.

Response

PTY session terminated